WSLAY_EVENT_CONFIG_SET_MAX_RECV_MSG_LENGTH(3)

NAME
wslay_event_config_set_max_recv_msg_length - Set maximum length of a message that can be received

SYNOPSIS

#include <wslay/wslay.h>

void wslay_event_config_set_max_recv_msg_length(wslay_event_context_ptr ctx, uint64_t val)

DESCRIPTION

wslay_event_config_set_max_recv_msg_length() sets maximum length of a message that can be received. The length of message is checked by wslay_event_recv() function. If the length of a message is larger than this value, reading operation is disabled (same effect with wslay_event_shutdown_read() call) and close control frame with WSLAY_CODE_MESSAGE_TOO_BIG is queued. If buffering for non-control frames is disabled, the library checks each frame payload length and does not check length of entire message.

The default value is (1u << 31)-1.

SEE ALSO

wslay_event_recv(), wslay_event_shutdown_read()

AUTHOR
Tatsuhiro Tsujikawa

COPYRIGHT
2012, 2015, Tatsuhiro Tsujikawa